<?php

function view_dashboard_department_petty_cash_expenses_details($project_id, $from_date, $to_date) {
    
    $sql = "SELECT b.*,
                    SUM(ex.approved_amount) total,
                    f.name float_name 
            FROM ".TB_PREF."i_owe_you_expenses ex  
                JOIN ".TB_PREF."i_owe_you_batches b  
                    ON ex.iou_batch_no = b.batch_no   
                JOIN ".TB_PREF."petty_cash_floats f   
                    ON f.id = b.float_id    
            WHERE b.tran_date >= ".db_escape($from_date)." 
                AND b.tran_date <= ".db_escape($to_date)." 
                AND b.project_id = ".db_escape($project_id)." 
            GROUP BY b.batch_no 
            ORDER BY b.tran_date ";
    
                
        return db_query($sql, "view_dashboard_department_petty_cash_expenses_details"); 
     
}
